FreeMat

- Main Page
- Related Pages

vtkImageRGBToHSI

Section: Visualization Toolkit Imaging Classes

# Usage

For each pixel with red, blue, and green components this filter output the color coded as hue, saturation and intensity. Output type must be the same as input type.

To create an instance of class vtkImageRGBToHSI, simply invoke its constructor as follows

      obj = vtkImageRGBToHSI

# Methods

The class vtkImageRGBToHSI has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageRGBToHSI class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageRGBToHSI = obj.NewInstance ()`
- `vtkImageRGBToHSI = obj.SafeDownCast (vtkObject o)`
- `obj.SetMaximum (double )` - Hue is an angle. Maximum specifies when it maps back to 0. HueMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. Maximum also specifies the maximum of the Saturation.
- `double = obj.GetMaximum ()` - Hue is an angle. Maximum specifies when it maps back to 0. HueMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. Maximum also specifies the maximum of the Saturation.